Subject: bug#10040: 24.0.91; isearch.el - binding of user options

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Nov 2011 20:53:01 +0200

>> 3. And yet you do it, so perhaps you would like to consider code where
>> you do it as bugs.  Assuming that, let me help by pointing out that you
>> do it in each of the Isearch help commands: isearch-help-for-help,
>> isearch-describe-bindings, and isearch-describe-key.  The user options
>> you let-bind are `same-window-names' and `same-window-regexps'.
>
> As discussed recently in bug#3419, they should be replaced with
> `inhibit-same-window':

Another place where user options `same-window-names' and `same-window-regexps'
are let-bound is `bookmark-bmenu-switch-other-window'.  Similarly we could replace
them with `(display-buffer-overriding-action '(nil (inhibit-same-window . t)))'.

But then I don't understand why its implementation should be different from the
functionally equivalent `Buffer-menu-switch-other-window' that doesn't use
`display-buffer-overriding-action'?